#!/bin/sh

if [ "$(id -u)" != "0" ]; then
  echo "Please run this script with root access"
  exit 1
fi

if [ "$(uname -m)" == "x86_64" ]; then
  PLATFORM=64
else
  PLATFORM=32
fi

echo Installing simpson in /usr/bin

[ ! -d /usr/share/simpson ] && mkdir /usr/share/simpson
cp lib* /usr/share/simpson
[ ! -d /usr/share/simpson/tcl8.5 ] && cp -r tcl8.5 /usr/share/simpson
cp simpson-$PLATFORM /usr/share/simpson/simpson
cp simpson.sh /usr/bin/simpson
cp simplot /usr/share/simpson
cp simplot.sh /usr/bin/simplot
cp simmol /usr/bin/simmol
cp simmol.in /usr/share/simpson
[ -f /usr/share/simpson/libsimmol.so ] && rm /usr/share/simpson/libsimmol.so
ln -s /usr/share/simpson/libsimmol.so-$PLATFORM /usr/share/simpson/libsimmol.so
cp pkgIndex.tcl /usr/share/simpson
chown -R root:root /usr/bin/simpson /usr/bin/simmol /usr/share/simpson /usr/bin/simplot
chmod 755 /usr/bin/simpson /usr/bin/simmol /usr/share/simpson/simpson /usr/bin/simplot /usr/share/simpson/simplot
echo Done

